From jsq@tic.com  Wed Jun 27 03:41:58 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA06881; Wed, 27 Jun 90 03:41:58 -0400
Posted-Date: 23 Jun 90 19:27:43 GMT
Received: by cs.utexas.edu (5.64/1.63)
	id AA25125; Wed, 27 Jun 90 02:41:53 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA29691; Tue, 26 Jun 90 17:19:35 cdt
From: D'Arcy J.M. Cain <druid!darcy@cs.utexas.edu>
Newsgroups: comp.std.unix
Subject: Re: parseargs vs. getopt
Message-Id: <733@longway.TIC.COM>
References: <378@usenix.ORG> <728@longway.TIC.COM> <729@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: druid!darcy@cs.utexas.edu (D'Arcy J.M. Cain)
Organization: D'Arcy Cain Consulting, West Hill, Ontario
Date: 23 Jun 90 19:27:43 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  darcy@druid.uucp (D'Arcy J.M. Cain)

In article <729@longway.TIC.COM> From: David J. MacKenzie <djm@eng.umd.edu>
>Parseargs has a lot of problems; I looked at it and discarded it.  It
>might provide a superior interface to the programmer, but it doesn't
>provide the same interface to the user; that is, it doesn't conform to
>the standard Unix option syntax that most programs use (allowing
>ganging of multiple single-letter options into a single argument, for
>example).  Since getopt is an existing-practice de-facto standard, I

You might like my getarg function.  I designed it as a replacement for
getopt but in such a way that the user can use it exactly like getopt.
It does however support extra functionality which can be used if the user
is aware of it.  For one thing, options and arguments (files) can be
mixed instead of requiring all options to precede the files.  You can
also initialise the argument list more than once supporting things such
as environment default command lines, arguments from files etc mixed
with arguments from the command line.  I just posted it recently to
alt.sources and I'm interested in getting some feedback on it.

-- 
D'Arcy J.M. Cain (darcy@druid)     |   Government:
D'Arcy Cain Consulting             |   Organized crime with an attitude
West Hill, Ontario, Canada         |
(416) 281-6094                     |

Volume-Number: Volume 20, Number 45

