From jsq@tic.com  Wed Jun 27 03:44:15 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA07398; Wed, 27 Jun 90 03:44:15 -0400
Posted-Date: 24 Jun 90 01:47:10 GMT
Received: by cs.utexas.edu (5.64/1.63)
	id AA25256; Wed, 27 Jun 90 02:44:11 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA00077; Tue, 26 Jun 90 17:51:35 cdt
From: Shane McCarron <ahby@uinj.UI.ORG>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.5: Ada bindings
Message-Id: <738@longway.TIC.COM>
References: <732@longway.TIC.COM>;
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Date: 24 Jun 90 01:47:10 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  ahby@uinj.UI.ORG (Shane McCarron)

> From:  Doug Gwyn <gwyn@smoke.brl.mil>
> 
> Correct me if I'm mistaken, but I thought the specific task of
> 1003.5 was to provide Ada-language bindings to 1003.1, not to
> add functionality.

Remember the history of POSIX.1.  We have a standard which should have
been specified in a language independent manner.  If that had been
done, a number of the functions that are in the standard would not be
there, or would be in the C bindings section.  They are convenience
functions for C.  Likewise, there will be convenience functions for
other languages.  Ada is particularly nasty, for all the obvious
reasons.

Someday there will be a language independent 1003.1 specification.  It
will detail the real functionality of the underlying system in such a
way that it will be clear to people doing language bindings which
features they must include.  Until then, there will continue to be
confusion on the subject.

-- 
Shane P. McCarron			ATT:	+1 201 263-8400 x232
Project Manager				UUCP:	mccarron@uiunix.ui.org

Volume-Number: Volume 20, Number 50

