From jsq@tic.com  Sat Jun 30 01:21:45 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA08940; Sat, 30 Jun 90 01:21:45 -0400
Posted-Date: 29 Jun 90 21:46:11 GMT
Received: by cs.utexas.edu (5.64/1.65)
	id AA05326; Sat, 30 Jun 90 00:21:41 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA12500; Sat, 30 Jun 90 00:26:28 cdt
From: Doug Gwyn <gwyn@smoke.brl.mil>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.5: Ada bindings
Message-Id: <756@longway.TIC.COM>
References: <732@longway.TIC.COM> <738@longway.TIC.COM> <744@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Organization: U.S. Army Ballistic Research Laboratory, APG, MD.
Date: 29 Jun 90 21:46:11 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  Doug Gwyn <gwyn@smoke.brl.mil>

In article <744@longway.TIC.COM> From: buck@drax.gsfc.nasa.gov (Loren Buchanan)
>Why should PASCALers, FORTRANers, etc. be coerced into giving up
>their favorite language.  I regularly use three different langauges,
>and I expect that the operating environment I am working under will
>not impede my use of these languages.

That's not what we're talking about.  Pascal and Fortran can be
fully implemented in a UNIX environment.  You are not being asked
to "give up" those languages.  What I am saying is that you should
not insist on using a language in an application domain for which
it is ill suited.  Fortran is not an appropriate choice for systems
programming applications in a UNIX environment.  While it is
perhaps possible to devise a complete 1003.1 binding for Fortran
(I suspect it wouldn't be possible for BASIC), there is no real need
to do so.  On the other end of the spectrum, Ada has its own notions
of tasking that don't mesh well with UNIX's process model.  Since
the promulgators of Ada have insisted for years that Ada programs
must not use extensions to the language, I suggest that holding them
to their word would have been quite appropriate.

Volume-Number: Volume 20, Number 71

