From jsq@tic.com  Mon Jul  2 13:01:47 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA14730; Mon, 2 Jul 90 13:01:47 -0400
Posted-Date: 2 Jul 90 15:27:15 GMT
Received: by cs.utexas.edu (5.64/1.68)
	id AA21614; Mon, 2 Jul 90 12:01:42 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA20630; Mon, 2 Jul 90 11:53:36 cdt
From: Jason Zions <jason@cnd.hp.com>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, Recent Standards Activities
Message-Id: <770@longway.TIC.COM>
References: <387@usenix.ORG>
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Organization: Hewlett Packard, Information Networks Group
Date: 2 Jul 90 15:27:15 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  Jason Zions <jason@cnd.hp.com>

Regarding the Snitch Editor's fine report, in the section discussing
1003.12 comes the following sentence:

> Our snitch, Andy Nicholson, challenged readers to find a reason not to
> make DNI endpoints POSIX file descriptors, but has seen no takers.

How about because it constrains implementations to make DNI
kernel-resident?

How about because the semantics of operations permitted on POSIX file
descriptors are a poor match for many transport providers? Read()/write()
are stream operations; only TCP is a stream transport provider. OSI TP0/2/4
maps much more closely to stdio and fgets()/fputs() in that it is
record-oriented. What does it mean to seek() on a network endpoint?

A significant branch of the UNIX(tm)-system and POSIX research community
believes "All the world's a file"; the Research Unix V.8 and Plan 9 folks
are among the leaders here. I feel only slightly squeemish about accusing
them of having only a hammer in their toolbelt; of *course* everything
looks like a nail!

I think it would probably be acceptable to have a DNI function which
accepted a DNI endpoint as argument and attempted to return a real file
descriptor. This function would check to see that the underlying transport
provider could present reasonable semantics through a POSIX file
descriptor, and would also check that the implementation supported access
to that transport provider through a kernel interface.

Jason Zions

*  UNIX is a trademark of AT&T in the US and other countries.
** Obstreperous iconoclast is a behavioral trademark of Jason Zions in the
   US and other countries.

Volume-Number: Volume 20, Number 85

