BEGIN {
	maxfields = 4;
	max = 0; strmax = "";
	for (i = 1; i <= maxfields; i++) {
		power[i] = exp(log(256)*(maxfields-i));
	}
}
{
	if (NF >= 3) {
		sum = 0;
		num = split($3, string, ".")
		for (i = 1; i <= num; i++) {
			sum += string[i]*power[i];
		}
		if ( sum > max ) {
			max = sum;
			strmax = $3;
		}
	}
}
END {
	print "char *version = \"" strmax "\";" > "version.c"
	print "Gated version is " strmax "."
}
