From uucp@tic.com  Fri Jul 13 11:07:05 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA25188; Fri, 13 Jul 90 11:07:05 -0400
Posted-Date: 11 Jul 90 21:33:56 GMT
Received: by cs.utexas.edu (5.64/1.68)
	id AA21771; Fri, 13 Jul 90 00:34:51 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA20123; Thu, 12 Jul 90 20:17:56 cdt
From: Dave Decot <decot@hpisod2.cup.hp.com>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.1: System services interface
Message-Id: <9998@cs.utexas.edu>
References: <385@usenix.ORG>
Sender: jbc@cs.utexas.edu
Reply-To: std-unix@uunet.uu.net
Organization: Hewlett Packard, Cupertino
Date: 11 Jul 90 21:33:56 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  decot@hpisod2.cup.hp.com (Dave Decot)


> 2.  1003.1a Status
> 
> 1003.1a is the recently completed revision to the 1988 POSIX standard.
> No new interfaces or features were introduced, but the text was
> revised in several ways.  The main reason for the revision was to

This is not technically true.

The following new features were added by POSIX.1a:

    ssize_t - signed version of the size_t type
    SSIZE_MAX - constant representing maximum value of ssize_t
    TZNAME_MAX - constant representing maximum length of a timezone name
    _SC_TZNAME_MAX - sysconf() variable argument for TZNAME_MAX
    POSIX_TZNAME_MAX - minimum value of TZNAME_MAX on POSIX.1a systems (it's 3)

The following features were deleted (but are still permitted):

    cuserid() - definition conflicted with most existing practice
    CLK_TCK - non-existent definition imported from ANSI C standard

The following interfaces were changed:
	ssize_t read(int fildes, void *buf, size_t count);
	ssize_t write(int fildes, const void *buf, size_t count);

> The discussion of [the setegid(), etc.] proposal led to a general
> lament about how unclear the group model is in the 1988 POSIX standard,
> perhaps the result of a hasty marriage between the System V and BSD models.
> At the next meeting, the working group intends to add new text to
> P1003.1b to clarify the relation between the effective group ID and
> the supplementary group list.

It seemed rather clear to me.  "Whether the effective group ID is
included in or omitted from the list of supplementary group IDs is
implementation-defined."  In all cases when checking permission to
access something, both the effective group ID and the list of supplementary
group IDs should be compared to the group of the object in question; if
either matches, the access should be granted.

What were the unclarities that were identified?

Dave Decot


Volume-Number: Volume 20, Number 122

