From uucp@tic.com  Sat Jul 14 04:39:39 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA03158; Sat, 14 Jul 90 04:39:39 -0400
Posted-Date: 12 Jul 90 23:23:25 GMT
Received: by cs.utexas.edu (5.64/1.68)
	id AA14484; Sat, 14 Jul 90 01:06:03 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA21293; Fri, 13 Jul 90 23:55:25 cdt
From: <news@ira.uka.de>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.1: System services interface / TAPES
Message-Id: <10060@cs.utexas.edu>
References: <767@longway.TIC.COM> <770@longway.TIC.COM> <781@longway.TIC.COM>
Sender: jbc@cs.utexas.edu
Reply-To: std-unix@uunet.uu.net
Organization: FZI Forschungszentrum Informatik, Karlsruhe, West-Germany
Date: 12 Jul 90 23:23:25 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  news@ira.uka.de

--- archives and tapes ---

First, I have to admit that I haven't read the latest standard's version,
but I do have strong feelings about data archives and transport.

Both tar and cpio are highly deficient for properly moving information
out and in. The first blunder of all is the limited format that does not
take care of long file names. There is a NAMSIZ parameter, so for heaven's
sake reserve sufficient space in the file descriptor of such a transport
archive! That's so fundamental that I will only talk about one other equally
nasty point about these formats, missing archive and volume labelling.

Next, you have to realize that both tar and cpio already do arrange data
in suitable chunks for transfer ('tar' reads 'tape archive'!). There is
no reason in the world why an ANSI tape file shall not be the envelope
for a UNIX-type archive. On the contrary, this will finally, after all
these years offer data labelling, both on the archive and on the tape
volumes. It is unbelievable that today, 1990, i have to look at a piece of
paper with my tar tape, which tells me about a number of archives on the
same medium and their position. Additionally, the ANSI tar standard
provides multi-volume data sets, so yet another stumbling stone can be
forgotten, if we only wrap tar' and cpio' archives in ANSI tape structures
(where tar' and cpio' are improved versions of tar and cpio).

Then, a point often forgotten: There is a real need to select, duplicate,
store data from some external medium (tape) on a different type of machine
than the one the tape is written on / to be read.  The proposal above will
make that an easy and safe operation, what cannot be claimed today. (Today,
ypou just have to have a guru around who knows alls kinds of different
machines and how they mix).

Finally: Yes, we do move archives across networks, but for most substantial
transfers of data in and out of our machines there is no adequate replacement
for sequential magnetic media. Posix has to take that into account, or we
will be burdened with those problems of today.

Karl Kleine
FZI Forschungszentrum Informatik, Karlsruhe, West-Germany;  kleine@fzi.uka.de



Volume-Number: Volume 20, Number 125

