From uucp@tic.com  Sat Jul 14 04:26:51 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA29533; Sat, 14 Jul 90 04:26:51 -0400
Posted-Date: 12 Jul 90 21:07:17 GMT
Received: by cs.utexas.edu (5.64/1.68)
	id AA14553; Sat, 14 Jul 90 01:06:16 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA21312; Fri, 13 Jul 90 23:56:04 cdt
From: Doug Gwyn <gwyn@smoke.brl.mil>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.1: System services interface
Message-Id: <10061@cs.utexas.edu>
References: <9951@cs.utexas.edu>
Sender: jbc@cs.utexas.edu
Reply-To: std-unix@uunet.uu.net
Organization: U.S. Army Ballistic Research Laboratory, APG, MD.
Date: 12 Jul 90 21:07:17 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  Doug Gwyn <gwyn@smoke.brl.mil>


In article <9951@cs.utexas.edu> std-unix@uunet.uu.net writes:
>From:  Jason Zions <jason@cnd.hp.com>
>Worse yet, it appears that one of the POSIX Real Time Profiles may very
>well require only a subset of 1003.1; how on earth does one represent
>*that* using the _POSIX_C_SOURCE scheme?

Shouldn't 1003.0 step in here and exert some coordination?
1003.1 was deliberately not split into "levels" a la COBOL,
and we meant it.  A Real-Time extension could very well exist
(say, number 1003.123a) and not require that 1003.1 be specified,
but be useless in the absence of some subset of 1003.1 or equivalent,
just as a hosted C implementation on UNIX does not specify that
open() exist, but secretly requires a function with similar
properties in order to be implemented at all.  If the problem is
that the extension wants to contradict some of 1003.1, then it is
an INCOMPATIBLE standard (i.e. one could not specify simultaneous
conformance with 1003.1 and 1003.123a), and I thought that standards
organizations prohibited that.


Volume-Number: Volume 20, Number 126

