From jsq@tic.com  Sat Jun 23 09:04:34 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA09404; Sat, 23 Jun 90 09:04:34 -0400
Posted-Date: 23 Jun 90 00:03:08 GMT
Received: by cs.utexas.edu (5.64/1.63)
	id AA12273; Sat, 23 Jun 90 08:04:31 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA23600; Sat, 23 Jun 90 06:34:45 cdt
From: David J. MacKenzie <djm@eng.umd.edu>
Newsgroups: comp.std.unix
Subject: parseargs vs. getopt
Message-Id: <729@longway.TIC.COM>
References: <378@usenix.ORG> <728@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Organization: University of Maryland
Date: 23 Jun 90 00:03:08 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From: David J. MacKenzie <djm@eng.umd.edu>

> From:  peter@ficc.uucp

> Might it not be time to "push the envelope" as 1003.4 has done, and specify
> Eric Allman's far superior "parseargs" interface? Getopt really doesn't do
> that much: a command line parser using getopt is only slightly simpler than
> one assembled completely out of a nested loop, and it doesn't do anything
> to help generate usage messages and the like... with the result that usage
> messages that are out of date are not that uncommon, even in system programs.

> Parseargs also helps by providing a system-independent interface, more so
> if you use my extended version of the unix driver routine. That way folks
> who work in other environments will be encouraged to produce programs that
> follow the P1003.2 interface when compiled under POSIX... and POSIX programs
> will fit well into VAX/VMS, MS-DOS, etc...

Parseargs has a lot of problems; I looked at it and discarded it.  It
might provide a superior interface to the programmer, but it doesn't
provide the same interface to the user; that is, it doesn't conform to
the standard Unix option syntax that most programs use (allowing
ganging of multiple single-letter options into a single argument, for
example).  Since getopt is an existing-practice de-facto standard, I
see no justification for trying to push something quite different that
hardly anyone uses as an IEEE standard.  I don't think what 1003.4 is
doing is necessarily a good idea either.  It probably exceeds the
POSIX charter.
--
David J. MacKenzie <djm@eng.umd.edu> <djm@ai.mit.edu>

Volume-Number: Volume 20, Number 39

