From jsq@tic.com  Wed Jun 27 16:55:34 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA03432; Wed, 27 Jun 90 16:55:34 -0400
Posted-Date: 27 Jun 90 12:14:08 GMT
Received: by cs.utexas.edu (5.64/1.64)
	id AA26591; Wed, 27 Jun 90 15:55:27 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA01608; Wed, 27 Jun 90 13:41:04 cdt
From: Doug Gwyn <gwyn@smoke.brl.mil>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.5: Ada bindings
Message-Id: <739@longway.TIC.COM>
References: <732@longway.TIC.COM> <738@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Organization: U.S. Army Ballistic Research Laboratory, APG, MD.
Date: 27 Jun 90 12:14:08 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  Doug Gwyn <gwyn@smoke.brl.mil>

In article <738@longway.TIC.COM> From: ahby@uinj.UI.ORG (Shane McCarron)
>Remember the history of POSIX.1.  We have a standard which should have
>been specified in a language independent manner.  If that had been
>done, a number of the functions that are in the standard would not be
>there, or would be in the C bindings section.  They are convenience
>functions for C.  Likewise, there will be convenience functions for
>other languages.  Ada is particularly nasty, for all the obvious
>reasons.

I DO remember the history of 1003.1; I was there!  We most certainly
did NOT set out to create a language-independent standard; C was
specifically chosen for the obvious reason that it was the SOLE
appropriate language for systems-level programming on UNIX, for a
variety of reasons, including the fact that the UNIX kernel has a
marked preference for being fed C data types.

This "language binding" nonsense was foisted off on P1003 in an
attempt to meet ISO guidelines.  I think it must have been adopted
by ISO as the result of Pascal types insisting that they never have
to use any other language.

Clearly, a BASIC, COBOL, or even LISP binding to 1003.1 would be
ludicrous.  I don't know how languages are selected for binding,
but I do know what constitutes a UNIX system interface, and if a
language can support one then that is what it should be given as a
1003.1 binding.

Volume-Number: Volume 20, Number 51

