From jsq@tic.com  Thu Jun 28 18:17:38 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA25268; Thu, 28 Jun 90 18:17:38 -0400
Posted-Date: 28 Jun 90 16:12:39 GMT
Received: by cs.utexas.edu (5.64/1.65)
	id AA25997; Thu, 28 Jun 90 17:17:33 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA06921; Thu, 28 Jun 90 16:43:23 cdt
From: Loren Buck Buchanan <buck@drax.gsfc.nasa.gov>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, IEEE 1003.5: Ada bindings
Message-Id: <744@longway.TIC.COM>
References: <739@longway.TIC.COM> <732@longway.TIC.COM> <738@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Organization: Computer Sciences Corporation @ NASA Goddard Space Flight Center
Date: 28 Jun 90 16:12:39 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  buck@drax.gsfc.nasa.gov (Loren (Buck) Buchanan)

In article <739@longway.TIC.COM> From:  Doug Gwyn <gwyn@smoke.brl.mil>
>I DO remember the history of 1003.1; I was there!  We most certainly
>did NOT set out to create a language-independent standard; C was
>specifically chosen for the obvious reason that it was the SOLE
>appropriate language for systems-level programming on UNIX, for a
>variety of reasons, including the fact that the UNIX kernel has a
>marked preference for being fed C data types.

Sometimes you have to make painful changes, so that the future
generations will not have to suffer with "historical artifacts".
This is one place I think the changes should have been made (but
of course I do not know all of the argumentation, compromises, etc.
that passed before the committee came to an agreement.

>This "language binding" nonsense was foisted off on P1003 in an
>attempt to meet ISO guidelines.  I think it must have been adopted
>by ISO as the result of Pascal types insisting that they never have
>to use any other language.

I take exception to "nonsense was foisted".  The reason for language
bindings is so that various different languages can take advantage
of the standard.  Why should PASCALers, FORTRANers, etc. be coerced
into giving up their favorite language.  I regularly use three
different langauges, and I expect that the operating environment I
am working under will not impede my use of these languages.

>Clearly, a BASIC, COBOL, or even LISP binding to 1003.1 would be
>ludicrous.  I don't know how languages are selected for binding,
>but I do know what constitutes a UNIX system interface, and if a
>language can support one then that is what it should be given as a
>1003.1 binding.

Why is it ludicrous,  I think all of them should have bindings to POSIX,
but don't ask me to do the work.  If POSIX is to become truly universal,
then it better support all of them and also RPG II/III, PL/I, Prolog,
MUMPS, and any other general or special purpose language that is in
common use.  How a language is selected is two part, 1) is there a
consensus of the committee that the work should be done, and 2) is
there a fool  ... eh ... er ... uh ... volunteer willing to do the
work of creating and/or being the editor.

I am currently working on the proposed image processing standard, and
how acceptable do you think this standard would be if we ignored
FORTRAN?

B Cing U

Buck

-- 
Loren Buchanan     | buck@drax.gsfc.nasa.gov   | #include <std_disclaimer.h> 
CSC, 1100 West St. | ...!ames!dftsrv!drax!buck | typedef int by
Laurel, MD 20707   | (301) 497-2531            | void where_prohibited(by law){}
CD International lists over 40,000 pop music CDs, collect the whole set.

Volume-Number: Volume 20, Number 57

