From jsq@tic.com  Wed Jul  4 13:57:59 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA18668; Wed, 4 Jul 90 13:57:59 -0400
Posted-Date: 3 Jul 90 18:12:00 GMT
Received: by cs.utexas.edu (5.64/1.68)
	id AA16493; Wed, 4 Jul 90 12:57:54 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA00816; Wed, 4 Jul 90 12:43:42 cdt
From: Guy Harris <auspex!guy@cs.utexas.edu>
Newsgroups: comp.std.unix
Subject: Re: Standards Update, Recent Standards Activities
Message-Id: <782@longway.TIC.COM>
References: <770@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: std-unix@uunet.uu.net
Organization: Auspex Systems, Santa Clara
Date: 3 Jul 90 18:12:00 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  guy@auspex.uucp (Guy Harris)

>How about because the semantics of operations permitted on POSIX file
>descriptors are a poor match for many transport providers? Read()/write()
>are stream operations; only TCP is a stream transport provider. OSI TP0/2/4
>maps much more closely to stdio and fgets()/fputs() in that it is
>record-oriented.

Standard I/O, and "fgets()"/"fputs()" in particular, are
record-oriented?  News to me; I thought standard I/O offered byte
streams, and "fgets()" read stuff from that stream until it hit a
newline or EOF, and "fputs" put bytes from a string out onto that
stream.

For that matter, raw magtapes are also record oriented, and "read()" and
"write()" work fine on them.  I don't see the problem with TPn; a single
"write()" could either be turned into one packet, or broken up
arbitrarily into N packets if there's a maximum packet size.  If you
*want* to have a correspondence between "send it" calls and records, I
see no problem with providing additional calls to do that, but I also
don't see any problem with hiding record boundaries, if necessary, from
applications that *want* to just send byte streams over TPn.

>What does it mean to seek() on a network endpoint?

What does it mean to "seek()" on a tty?

Volume-Number: Volume 20, Number 96

