From jsq@tic.com  Sat Jul  7 10:59:03 1990
Received: from cs.utexas.edu by uunet.uu.net (5.61/1.14) with SMTP 
	id AA13763; Sat, 7 Jul 90 10:59:03 -0400
Posted-Date: 6 Jul 90 10:27:31 GMT
Received: by cs.utexas.edu (5.64/1.68)
	id AA00803; Sat, 7 Jul 90 09:58:59 -0500
Received: by longway.tic.com (4.22/tic.1.2)
	id AA11081; Sat, 7 Jul 90 09:54:23 cdt
From: Dominic Dunlop <domo@tsa.co.uk>
Newsgroups: comp.std.unix
Subject: Re: correction (compression algorithm patents)
Message-Id: <795@longway.TIC.COM>
References: <387@usenix.ORG> <787@longway.TIC.COM>
Sender: std-unix@tic.com
Reply-To: tsa.co.uk!domo@usenix.ORG
Organization: The Standard Answer Ltd.
Date: 6 Jul 90 10:27:31 GMT
Apparently-To: std-unix-archive@uunet.uu.net

From:  Dominic Dunlop <domo@tsa.co.uk>

>From:  jsh@usenix.org (Jeffrey S. Haemer) quoting Randall Howard
>
>    The ramifications [of the fact that the LZ and LZW compression
>algorithms are patented ] for POSIX.2a are unclear.  Currently, there
>are members of the working group that say that they would object if a
>patented >algorithm were required by the standard if ANY FEE WHATSOEVER
>(even if $1) were required to use it.  (There are, however, precedents
>for standards working in areas of patents in such areas as networking,
>modems, and hardware bus structures.  It appears that we software people
>have not "grown up" as much when it comes to issues of licensing.

For the record, from (normative) Annex A of IEC/ISO Directives -- Part 2:
Methodology, 1989:

   If, in exceptional cases, technical reasons justify the preparation
   of an International Standard in terms which include that use of a
   patented item, there is no objection in principle to such a step,
   even if the terms are such that there is no alternative means of
   compliance.  In such a case, the following procedures shall be
   complied with.

      a)  ISO and IEC cannot give authoritative or comprehensive information
      about evidence, validity and scope of patent and like rights but it
      is desirable that the fullest information be disclosed.  Therefore
      the originator of a proposal of such a kind shall draw the technical
      committee's or subcommittee's attention to any known patent and like
      rights on a worldwide basis or any known pending applications,
      although ISO and IEC are not in a position to guarantee the authority
      of any such information.

      b)  If the proposal is accepted on technical grounds, the originator
      shall ask any known patent holder for a statement that he would be
      willing to negotiate licences under patent and like rights for
      applicants throughout the world on reasonable terms and conditions.
      A record of the patent holder's statement shall be placed in the
      files of the ISO Central Secretariat or the IEC Central Office, as
      appropriate, and shall be referred to in the relevant international
      standard.  If the patent holder does not provide such a statement,
      the technical committee shall not proceed with the inclusion of the
      patented item unless the respective Council gives permission.

      c)  Should it be revealed after publication of the International
      Standard that licences under a patent and like rights cannot be
      obtained under reasonable terms and conditions, the International
      Standard shall be referred back to the technical committee for
      further consideration.

(The Councils of IEC and ISO are defined as ``the ultimate authority for
the technical work...'')

And from section 7, IEEE Standards Manual, April 1988:

   7. Patents

   There is no objection in principle to drafting a proposed IEEE standard
   in terms that include the use of a patented item, if it is considered
   that technical reasons justify this approach.

   7.1 Disclaimer

   The following note shall appear in all IEEE standards:

      ``IEEE standards documents are adopted by the Institute of Electrical
      and Electronic Engineers without regard to whether their adoption may
      involve patents on articles, materials, or processes.  Such adoption
      does not assume any liability to any patent owner, nor does it assume
      any obligation to any parties whatever adopting the standards
      documents.''

(This note duly appears in IEEE Std. 1003.1:1988, facing the title page.)

Think I prefer ISO's cautious but realistic approach to the IEEE's mere
shrugging off of any blame for any consequences whatever of any action it
cares to take.
-- 
Dominic Dunlop

Volume-Number: Volume 20, Number 109

